use std::path::PathBuf;
use structopt::StructOpt;

#[derive(StructOpt, Debug)]
#[structopt(name = "htmlextract")]
pub struct Opts {
    #[structopt(short = "s", long = "selector")]
    pub selector: String,

    #[structopt(parse(from_os_str))]
    pub input: Option<PathBuf>,
    #[structopt(short = "o", long = "out", parse(from_os_str))]
    pub output: Option<PathBuf>,    
}
